router id 92.43.131.197;
define myas = 60630;
log "/tmp/a" all;

#debug protocols whichwan;

# not used
protocol static static_arn_subnet {
	debug all;
	route 89.234.141.0/24 reject;
}

filter arn_subnet {
	if (net ~ [89.234.141.0/24]) then accept;
	else reject;
}

protocol kernel {
#	persist;		# Don't remove routes on bird shutdown
	scan time 20;		# Scan kernel routing table every 20 seconds
	#export all;
	export filter {
		krt_prefsrc = 89.234.141.1;
		accept;
	};
}

protocol device {
	scan time 10;		# Scan interfaces every 10 seconds
	#primary "eth0.801" 89.234.141.1;
}

protocol bgp whichwan {
	debug all;
	description "upstream whichwan";
	local as myas;
	neighbor 92.43.131.193 as 42456;
	#import all;
	import filter {
		krt_prefsrc = 89.234.141.1;
		accept;
	};
	export filter arn_subnet;

	#source address 92.43.131.197;
        #export where proto = "static_arn_subnet";
}

